this doesn't seem to be an issue anymore; the trusty builds appear
fixed.

** Changed in: linux (Ubuntu)
       Status: Triaged => Invalid

** Changed in: linux (Ubuntu Trusty)
       Status: Triaged => Invalid

** Changed in: linux (Ubuntu Xenial)
       Status: Triaged => Invalid

** Changed in: linux (Ubuntu Zesty)
       Status: Triaged => Invalid

** Changed in: linux (Ubuntu Bionic)
       Status: Triaged => Invalid

** Changed in: linux (Ubuntu Bionic)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

** Changed in: linux (Ubuntu Artful)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

** Changed in: linux (Ubuntu Zesty)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

** Changed in: linux (Ubuntu Xenial)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

** Changed in: linux (Ubuntu Trusty)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

** Changed in: linux (Ubuntu)
     Assignee: Dan Streetman (ddstreet) => (unassigned)

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1724044

Title:
  autopkgtest regression due to only building single FLAVOUR

Status in linux package in Ubuntu:
  Invalid
Status in linux source package in Trusty:
  Invalid
Status in linux source package in Xenial:
  Invalid
Status in linux source package in Zesty:
  Invalid
Status in linux source package in Artful:
  Won't Fix
Status in linux source package in Bionic:
  Invalid

Bug description:
  commit 7a4e330a7f82869d161462b6f4b47f7d8ff963f2 (for trusty kernel)
  changed autopkgtest to only build the first 'flavour'.  However, this
  causes failure on armhf because the 'lpae' flavour is still expected,
  e.g.:

  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
  /autopkgtest-trusty/trusty/armhf/l/linux/20171012_203950_bf028@/log.gz

  Debug: do-binary-udebs
  dh_testdir
  dh_testroot
  # unpack the kernels into a temporary directory
  mkdir -p debian/d-i-armhf
  imagelist=$(cat 
/tmp/autopkgtest.XJHwMz/build.6rB/linux-3.13.0/debian/build/kernel-versions | 
grep ^armhf | gawk '{print $4}') && \
        for i in $imagelist; do \
          dpkg -x $(ls ../linux-image-$i\_3.13.0-133.182_armhf.deb) \
                debian/d-i-armhf; \
          if [ -f ../linux-image-extra-$i\_3.13.0-133.182_armhf.deb ] ; then \
            dpkg -x ../linux-image-extra-$i\_3.13.0-133.182_armhf.deb \
                  debian/d-i-armhf; \
          fi; \
          /sbin/depmod -b debian/d-i-armhf $i; \
        done
  ls: cannot access 
../linux-image-3.13.0-133-generic-lpae_3.13.0-133.182_armhf.deb: No such file 
or directory
  dpkg-deb: error: --extract needs a target directory.

  
  Either this should be reverted to build all flavours, or the 
build/autopkgtest needs to updated also to not expect the lpae flavour (or 
other than base flavour).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1724044/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to     : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to